/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>
#include <Cy_types.h>


cy_u8  flag = 0;
cy_u32 nPeriod = 0;

void main()
{
	/* Place your initialization/startup code here (e.g. MyInst_Start()) */
	Comparator_Start();
	Counter_Start();
	LCD_Start();
	Cnt_ISR_Start();
	
	LCD_Position(0,0);
	LCD_PrintString("Frequency:");
	
	/* Enable global interrupts. */
    CYGlobalIntEnable;  
    for(;;)
    {
		/* Place your application code here. */
		if(flag == 1)
		{
			nPeriod = 100000000/nPeriod;
			LCD_Position(1,0);
			//LCD_PrintDecUint16((nPeriod/65536));	
			LCD_PrintDecUint16((nPeriod%65536));	
			flag = 0;
		}
    }
}

/* [] END OF FILE */
